
%define pre_post_trans		1

# Need this for shared objects that reference X Server, or other modules symbols
%define _disable_ld_no_undefined 1

# Alternatives priority for standard libglx.so and mesa libs
%define priority 500

# Search for modules in extra_module_dir before the default path.
# This will allow fglrx to install its modified modules in more cleaner way.
%define extra_module_dir        %{_libdir}/xorg/extra-modules
%define xorg1_6_extra_modules	%{_libdir}/xorg/xorg-1.6-extra-modules

%define version 1.18.4
%define rel 4

%global __provides_exclude_from %{_datadir}/%{name}-source
%global __requires_exclude_from %{_datadir}/%{name}-source

# temporary build fix:
%define _python_bytecompile_build 0

# Released ABI versions.  Have to keep these manually in sync with the
# source because rpm is a terrible language.
%global ansic_major 0
%global ansic_minor 4
%global videodrv_major 20
%global videodrv_minor 0
%global xinput_major 22
%global xinput_minor 1
%global extension_major 9
%global extension_minor 0


Name: x11-server
Version: %{version}
Release: %mkrel %{rel}
Summary:  X11 servers
Group: System/X11
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/xserver/xorg-server-%{version}.tar.xz
Source1: xserver.pamd
Source2: xvfb-run.sh
Source5: pclos-setup-keyboard
Source6: 61-x11-input.rules
Source30:  xserver-sdk-abi-requires
Source90: 00-modules.conf
License: GPLv2+ and MIT

Requires: %{name}-xorg
Requires: %{name}-xdmx
Requires: %{name}-xnest
Requires: %{name}-xvfb

# This should be removed when any of the vnc packages provide x11-server-xvnc:
Obsoletes: %{name}-xvnc < %{version}-%{release}


# FIXME: build with systemtap installed is broken
BuildConflicts: systemtap
BuildRequires: gcc
BuildRequires: x11-font-util
BuildRequires: x11-util-macros
BuildRequires: x11-proto-devel
BuildRequires: x11-xtrans-devel
BuildRequires: %{_lib}pam-devel
BuildRequires: %{_lib}mesaegl1-devel
BuildRequires: %{_lib}epoxy-devel
BuildRequires: %{_lib}gbm1-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}pciaccess-devel
BuildRequires: %{_lib}pixman-devel
BuildRequires: %{_lib}wayland-devel
BuildRequires: %{_lib}xau-devel
BuildRequires: %{_lib}xaw-devel
BuildRequires: %{_lib}xcb-util-devel
BuildRequires: %{_lib}xcb-util-wm-devel
BuildRequires: %{_lib}xcb-util-image-devel
BuildRequires: %{_lib}xcb-util-keysyms-devel
BuildRequires: %{_lib}xcb-util-renderutil-devel
BuildRequires: %{_lib}xcb-util-cursor-devel
BuildRequires: %{_lib}xdmcp-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xfixes-devel
BuildRequires: %{_lib}xfont1-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xkbfile-devel
BuildRequires: %{_lib}xmu-devel
BuildRequires: %{_lib}xpm-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: %{_lib}xres-devel
BuildRequires: %{_lib}xshmfence-devel
BuildRequires: %{_lib}xv-devel

# for ./hw/xwin/glx/gen_gl_wrappers.py:
%define _python_bytecompile_errors_terminate_build 0

# Probably only needed if we change .l or .y files, but let's have them anyway:
BuildRequires: byacc
BuildRequires: flex

# for xkbcomp patch
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}udev0-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dmx-devel
BuildRequires: %{_lib}xtst-devel

# from xorg master branch
Patch201: 0201-glamor-Remove-the-FBO-cache.patch
Patch900: 0900-Use-a-X-wrapper-that-uses-pam-and-consolehelper-to-g.patch
Patch901: 0901-Don-t-print-information-about-X-Server-being-a-pre-r.patch
Patch902: 0902-Take-width-into-account-when-choosing-default-mode.patch
Patch903: 0903-LED-behavior-fixes.patch
Patch906: 0906-xfree86-need-to-press-Ctrl-Alt-Bksp-twice-to-termina.patch
Patch4001: 1001-do-not-crash-if-xv-not-initialized.patch

Patch5002: Allow-compile-time-selection-of-a-fallback-input-dri.patch
Patch5003: Xext-Fix-a-memory-leak.patch
Patch5004: xfree86-small-memory-leaks-fixes.patch
Patch5005: xfree86-Fix-null-pointer-dereference.patch
Patch5006: randr-Fix-crtc_bounds-when-using-rotation-combined-w.patch
Patch5008: 0001-os-Increase-default-client-buffer-to-16kB.patch
Patch5009: N_Disable-HW-Cursor-for-cirrus-and-mgag200-kernel-modules.patch
Patch5010: u_os-connections-Check-for-stale-FDs.patch
Patch5011: 0001-dri2-Sync-i965_pci_ids.h-from-mesa.patch
Patch5012: 0001-autobind-GPUs-to-the-screen-v3.patch

Patch7025: 0001-Always-install-vbe-and-int10-sdk-headers.patch
Patch10000: 0001-Fedora-hack-Make-the-suid-root-wrapper-always-start-.patch

%description
X11 servers

#------------------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

%define oldxorgnamedevel  %mklibname xorg-x11
Requires: libpixman-1-devel
Requires: libpciaccess-devel
Requires: libxkbfile-devel
Requires: libxext-devel >= 1.1
# pkgconfig file needs dri.pc:
Requires: GL-devel
#------------------------------------------------
Obsoletes: %{_lib}glamor-devel
Provides: %{_lib}glamor-devel = %version-%release
#------------------------------------------------

%description devel
Development files for %{name}

%pre devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files devel
%defattr(-,root,root)
%dir %{_includedir}/xorg
%{_bindir}/xserver-sdk-abi-requires
%{_includedir}/xorg/*.h
%{_libdir}/pkgconfig/xorg-server.pc
%{_datadir}/aclocal/xorg-server.m4


#------------------------------------------------------------------------------

%package common
Summary: X server common files
Group: System/X11
License: MIT
Provides: XFree86 = 7.0.0
Requires: rgb
Requires: x11-font-misc-misc
Requires: x11-font-cursor-misc
Requires: x11-font-alias
Requires: x11-data-xkbdata
Requires: xkbcomp
Requires: udev
Requires(post): update-alternatives >= 1.9.0
Requires(postun): update-alternatives

Conflicts: dkms-fglrx-current
Conflicts: fglrx-current-control-center
Conflicts: fglrx-current-opencl 
Conflicts: x11-driver-video-fglrx-current
Conflicts: fglrx-current-devel

Provides: xserver-abi(ansic-%{ansic_major}) = %{ansic_minor}
Provides: xserver-abi(videodrv-%{videodrv_major}) = %{videodrv_minor}
Provides: xserver-abi(xinput-%{xinput_major}) = %{xinput_minor}
Provides: xserver-abi(extension-%{extension_major}) = %{extension_minor}
# For proprietary drivers that can support multiple videodrv versions:
Provides: xserver-abi(videodrv) = %{videodrv_major}.%{videodrv_minor}

%description common
X server common files

%post common
%{_sbindir}/update-alternatives \
	--install %{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf %{priority} \
	--slave %{extra_module_dir} xorg_extra_modules %{xorg1_6_extra_modules}

# (anssi)
%triggerun common -- %{name}-common < 1.3.0.0-17
[ $1 -eq 2 ] || exit 0 # do not run if downgrading
current_glconf="$(readlink -e %{_sysconfdir}/ld.so.conf.d/GL.conf)"
if [ "${current_glconf#*mesa}" == "gl1.conf" ]; then
	# This an upgrade of a system with no proprietary drivers enabled, update
	# the link to point to the new standard.conf instead of libmesagl1.conf (2008.0 change).
	%{_sbindir}/update-alternatives --set gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf
else
	# XFdrake did not set symlink to manual mode before 2008.0, so we ensure it here.
	%{_sbindir}/update-alternatives --set gl_conf "${current_glconf}"
fi
true

%postun common
if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL/standard.conf ]; then
	/usr/sbin/update-alternatives --remove gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf
fi

%files common
%defattr(-,root,root)
%dir %{_libdir}/xorg/modules
%dir %{xorg1_6_extra_modules}
%dir %{_sysconfdir}/X11
%dir %{_sysconfdir}/X11/app-defaults
%dir %{_sysconfdir}/X11/fontpath.d
%dir %{_sysconfdir}/ld.so.conf.d/GL
%dir %{_sysconfdir}/X11/xorg.conf.d
%ghost %{_sysconfdir}/ld.so.conf.d/GL.conf
%{_sysconfdir}/ld.so.conf.d/GL/standard.conf
%{_bindir}/gtf
%{_bindir}/cvt
%{_bindir}/vdltodmx
%{_libdir}/xorg/modules/*
%{_libdir}/xorg/protocol.txt
%{_datadir}/X11/xkb/README.compiled
%{_mandir}/man1/gtf.*
%{_mandir}/man1/cvt.*
%{_mandir}/man1/vdltodmx.*
%{_mandir}/man4/*
%dir %{_prefix}/X11R6
%dir %{_prefix}/X11R6/lib
%{_prefix}/X11R6/lib/X11
/sbin/pclos-setup-keyboard
/lib/udev/rules.d/61-x11-input.rules

#------------------------------------------------------------------------------

%package xorg
Summary: X.org X11 server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}
Requires: x11-data-xkbdata > 1.3-5
Requires: x11-font-alias
Requires: libx11-common
Requires: x11-driver-input-evdev
Requires: x11-driver-input-mouse
Requires: x11-driver-input-keyboard
Requires: libxfont >= 1.4.2

# This package was used in the transition to modular:
Obsoletes: xorg-x11-server
#----------------------------------------------
Obsoletes: glamor
Obsoletes: %{_lib}glamor0
Provides: glamor = %version-%release
Provides: %{_lib}glamor = %version-%release
Obsoletes: x11-driver-video-modesetting
Provides: x11-driver-video-modesetting = %version-%release
#----------------------------------------------

%description xorg
x11-server-xorg is the new generation of X server from X.Org.

%files xorg
%defattr(-,root,root)
%{_bindir}/X
%{_bindir}/Xorg
%{_libdir}/Xorg
%attr(4755,root,root)%{_bindir}/Xwrapper
%attr(4755, root, root)%{_libdir}/Xorg.wrap
%{_sysconfdir}/X11/X
%{_sysconfdir}/pam.d/xserver
%{_sysconfdir}/security/console.apps/xserver
%{_mandir}/man1/Xorg.1*
%{_mandir}/man1/Xorg.wrap.1*
%{_mandir}/man5/Xwrapper.config.5*
%{_mandir}/man1/Xserver.*
%{_mandir}/man5/xorg.conf.*
%{_datadir}/X11/xorg.conf.d/00-modules.conf
%{_datadir}/X11/xorg.conf.d/10-quirks.conf

#------------------------------------------------------------------------------

%package xdmx
Summary: Distributed Multi-head X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

# This package was used in the transition to modular:
Obsoletes: xorg-x11-Xdmx

%description xdmx
Xdmx is a proxy X server that uses one or more other X servers
as its display devices. It provides multi-head X functionality
for displays that might be located on different machines.
Xdmx functions as a front-end X server that acts as a proxy
to a set of back-end X servers. All of the visible rendering is
passed to the back-end X servers. Clients connect to the Xdmx
front-end, and everything appears as it would in a regular
multi-head configuration. If Xinerama is enabled (e.g.,
with +xinerama on the command line), the clients see a single large screen.

Xdmx communicates to the back-end X servers using the standard X11 protocol,
and standard and/or commonly available X server extensions.

%files xdmx
%defattr(-,root,root)
%{_bindir}/Xdmx
%{_bindir}/xdmx*
%{_bindir}/dmx*
%{_mandir}/man1/Xdmx.*
%{_mandir}/man1/xdmxconfig.*
%{_mandir}/man1/dmxtodmx.*

#------------------------------------------------------------------------------

%package xwayland
Summary: A X server for Wayland
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xwayland
Wayland is a complete window system in itself, but even so, if we're migrating
away from X, it makes sense to have a good backwards compatibility story. With
a few changes, the Xorg server can be modified to use wayland input devices for
input and forward either the root window or individual top-level windows as
wayland surfaces. The server still runs the same 2D driver with the same
acceleration code as it does when it runs natively. The main difference is that
wayland handles presentation of the windows instead of KMS. 

%files xwayland
%{_bindir}/Xwayland

#------------------------------------------------------------------------------

%package xnest
Summary: A nested X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

# This package was used in the transition to modular:
Obsoletes: xorg-x11-Xnest

%description xnest
Xnest is an X Window System server which runs in an X window.
Xnest is a 'nested' window server, actually a client of the
real X server, which manages windows and graphics requests
for Xnest, while Xnest manages the windows and graphics
requests for its own clients.

You will need to install Xnest if you require an X server which
will run as a client of your real X server (perhaps for
testing purposes).

%files xnest
%defattr(-,root,root)
%{_bindir}/Xnest
%{_mandir}/man1/Xnest.*

#------------------------------------------------------------------------------

%package xvfb
Summary: X virtual framebuffer server
Group: System/X11
# xvfb-run is GPLv2, rest is MIT
License: MIT and GPLv2
Requires: x11-server-common = %{version}-%{release}
Requires: xauth

# This package was used in the transition to modular:
Obsoletes: xorg-x11-Xvfb

%description xvfb
Xvfb (X Virtual Frame Buffer) is an X Windows System server
that is capable of running on machines with no display hardware and no
physical input devices.  Xvfb emulates a dumb framebuffer using virtual
memory.  Xvfb doesn't open any devices, but behaves otherwise as an X
display.  Xvfb is normally used for testing servers.  Using Xvfb, the mfb
or cfb code for any depth can be exercised without using real hardware
that supports the desired depths.  Xvfb has also been used to test X
clients against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load testing,
to help with porting an X server to a new platform, and to provide an
unobtrusive way of running applications which really don't need an X
server but insist on having one.

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

%files xvfb
%defattr(-,root,root)
%{_bindir}/Xvfb
%{_bindir}/xvfb-run
%{_mandir}/man1/Xvfb.*

#------------------------------------------------------------------------------

%package xephyr
Summary: KDrive Xephyr X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xephyr
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

Xephyr is a X Server which targets a window on a host X Server
as its framebuffer. Unlike Xnest it supports modern X extensions ( even
if host server doesn't ) such as Composite, Damage, randr etc. It uses SHM
Images and shadow framebuffer updates to provide good performance. It also
has a visual debugging mode for observing screen updates.

Possible uses include:
- Xnest replacement - Window manager, Composite 'gadget', etc development tool.
- Toolkit debugging - rendundant toolkit paints can be observered easily via
  the debugging mode.
- X Server internals development - develop without the need for an extra
  machine

%files xephyr
%defattr(-,root,root)
%{_bindir}/Xephyr
%{_mandir}/man1/Xephyr.1*

#------------------------------------------------------------------------------

%package xfake
Summary: KDrive fake X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xfake
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for testing purposes.

%files xfake
%defattr(-,root,root)
%{_bindir}/Xfake

#------------------------------------------------------------------------------

%package xfbdev
Summary: KDrive fbdev X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xfbdev
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for being used on top of linux framebuffer.

%files xfbdev
%defattr(-,root,root)
%{_bindir}/Xfbdev

#------------------------------------------------------------------------------

%define xserver_source_dir %{_datadir}/%{name}-source

%package source
Summary: Xserver source code required to build unofficial servers
Group: Development/X11
License: MIT
BuildArch: noarch

%description source
Xserver source code needed to build unofficial servers, like Xvnc

%files source
%defattr(-, root, root, -)
%{xserver_source_dir}

#------------------------------------------------------------------------------

%prep
%setup -q -n xorg-server-%{version}

%patch201 -p1
%patch900 -p1
%patch901 -p1
%patch902 -p1
%patch903 -p1
%patch906 -p1
%patch4001 -p1

%patch5002 -p1
%patch5003 -p1
%patch5004 -p1

%patch5006 -p1
%patch5008 -p1
%patch5009 -p1
%patch5010 -p1
%patch5011 -p1
%patch5012 -p1

%patch7025 -p1
%patch10000 -p1


# check the ABI in the source against what we expect.
getmajor() {
   grep -i ^#define.ABI.$1_VERSION hw/xfree86/common/xf86Module.h |
   tr '(),' '   ' | awk '{ print $4 }'
}

getminor() {
   grep -i ^#define.ABI.$1_VERSION hw/xfree86/common/xf86Module.h |
   tr '(),' '   ' | awk '{ print $5 }'
}

test `getmajor ansic` == %{ansic_major}
test `getminor ansic` == %{ansic_minor}
test `getmajor videodrv` == %{videodrv_major}
test `getminor videodrv` == %{videodrv_minor}
test `getmajor xinput` == %{xinput_major}
test `getminor xinput` == %{xinput_minor}
test `getmajor extension` == %{extension_major}
test `getminor extension` == %{extension_minor}


%build

# Copy the clean dir to a 'source' directory that will be used to make the
# x11-server-source subpackage
mkdir source
find . -maxdepth 1 ! -name source ! -name '\.' -exec cp -r '{}' source \;

autoreconf -f -v --install || exit 1
%configure2_5x	--with-log-dir=%{_logdir} \
		--with-os-vendor="PCLinuxOS" \
		--with-os-name="`echo \`uname -s -r\` | sed -e s'/ /_/g'`" \
		--with-vendor-web="http://pclinuxos.com" \
		--disable-debug \
		--enable-config-udev \
		--disable-strict-compilation \
		--enable-composite \
		--enable-xres \
		--enable-record \
		--enable-xv \
		--enable-glamor \
		--enable-xwayland \
		--enable-xvmc \
		--enable-dga \
		--enable-screensaver \
		--enable-xdmcp \
		--enable-xdm-auth-1 \
		--enable-glx \
		--enable-aiglx \
		--enable-dri \
		--enable-xinerama \
		--enable-xf86vidmode \
		--enable-xace \
		--enable-xcsecurity \
		--enable-xf86bigfont \
		--enable-dpms \
		--disable-tslib \
		--enable-dbe \
		--enable-xfree86-utils \
		--enable-xorg \
		--enable-dmx \
		--enable-xvfb \
		--enable-xnest \
		--disable-xwin \
		--enable-kdrive \
		--enable-xfake \
		--enable-xephyr \
		--disable-install-setuid \
		--enable-secure-rpc \
		--enable-suid-wrapper \
		--enable-xwrapper \
		--enable-pam \
		--disable-config-hal \
		--disable-xselinux \
		--with-sha1=libcrypto \
		--disable-systemd-logind \
		--with-systemd-daemon=no \
		--with-default-font-path="catalogue:/etc/X11/fontpath.d,built-ins"
pushd include && make xorg-server.h dix-config.h xorg-config.h && popd
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#mkdir -p %{buildroot}%{_sysconfdir}/X11/
#ln -s %{_bindir}/Xorg %{buildroot}%{_sysconfdir}/X11/X
#ln -sf %{_bindir}/Xwrapper %{buildroot}%{_bindir}/X

mkdir -p %{buildroot}%{_sysconfdir}/X11/
ln -s %{_bindir}/Xorg %{buildroot}%{_sysconfdir}/X11/X
ln -sf %{_libdir}/Xorg.wrap %{buildroot}%{_bindir}/X

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 0644 %{_sourcedir}/xserver.pamd %{buildroot}%{_sysconfdir}/pam.d/xserver
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
touch %{buildroot}%{_sysconfdir}/security/console.apps/xserver

mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults
mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d

# move README.compiled outside compiled/ dir, so there won't be any problem with x11-data-xkbdata
mv -f %{buildroot}%{_datadir}/X11/xkb/compiled/README.compiled %{buildroot}%{_datadir}/X11/xkb/

# for compatibility with legacy applications (see #23423, for example)
mkdir -p %{buildroot}%{_prefix}/X11R6/lib/
ln -s ../../%{_lib}/X11 %{buildroot}%{_prefix}/X11R6/lib/X11

# create more module directories to be owned by x11-server-common
install -d -m755 %{buildroot}%{_libdir}/xorg/modules/{input,drivers}
install -d -m755 %{buildroot}%{xorg1_6_extra_modules}

# (anssi) manage proprietary drivers
install -d -m755 %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL/standard.conf << EOF
# This file is knowingly empty since the libraries are in standard search
# path. Please do not remove this file.
EOF
touch %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL.conf

install -m 0755 %{_sourcedir}/xvfb-run.sh %{buildroot}%{_bindir}/xvfb-run
install -m 0644 %{SOURCE90} $RPM_BUILD_ROOT/usr/share/X11/xorg.conf.d/

mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}/lib/udev/rules.d/
install -m 0755 %{SOURCE5} %{buildroot}/sbin/pclos-setup-keyboard
install -m 0644 %{SOURCE6} %{buildroot}/lib/udev/rules.d

# Make the source package
cp -r source %{buildroot}/%{xserver_source_dir}

install -m 755 %{SOURCE30} %{buildroot}%{_bindir}

# Create xorg.conf.d
install -d -m 755 %{buildroot}%{_sysconfdir}/X11/xorg.conf.d

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)



%changelog
* Fri Dec 02 2016 adrianomorselli <adrianomorselli> 1.18.4-4uplos2016
- rebuild

* Sun Nov 06 2016 bb <bb> 1.18.4-4pclos2016
- add performance and memory leak patches

* Wed Jul 20 2016 bb <bb> 1.18.4-3pclos2016
- add conflicts with the now broken fglrx driver

* Wed Jul 20 2016 bb <bb> 1.18.4-2pclos2016
- add 00-modules.conf for nvidia and fglrx

* Tue Jul 19 2016 bb <bb> 1.18.4-1pclos2016
- update

* Wed Apr 20 2016 bb <bb> 1.17.4-5pclos2016
- drop cflag performance optimizations

* Sun Apr 17 2016 bb <bb> 1.17.4-4pclos2016
- add cflag performance optimizations

* Thu Apr 14 2016 bb <bb> 1.17.4-3pclos2016
- rebuild against updates
- drop req for x11-driver-input-libinput


